package com.zjrs.ggfw.rlzysc.dto.grzxjlxx;

import org.hibernate.validator.constraints.Length;

import jakarta.validation.constraints.NotBlank;

public class GrqzWdjlJbxxDTO {
    @Length(max = 100,message = "简历名称最多只能输入100个字符或汉字")
    private String jlmc;//简历名称
    public String getJlmc() {
        return jlmc;
    }
    public void setJlmc(String jlmc) {
        this.jlmc = jlmc;
    }
    @Length(max = 10,message = "参加工作时间最多只能输入10个字符或汉字")
    private String cjgzsj;//参加工作时间
    @NotBlank(message = "最高学历不能为空")
    private String tsxl;//最高学历
    private String tszzmm;//政治面貌
    private String tshyzk;//婚姻状况
    private String yx;//邮箱
    @NotBlank(message = "手机号码不能为空")
    @Length(max = 25,message = "手机号码最多只能输入25个字符或汉字")
    private String sjhm;//手机号码
    @Length(max = 25,message = "邮政编码最多只能输入6个字符或汉字")
    private String yzbm;//邮政编码
    @Length(max = 25,message = "固定电话最多只能输入25个字符或汉字")
    private String gddh;//固定电话
    @NotBlank(message = "现居住地不能为空")
    @Length(max = 250,message = "现居住地最多只能输入250个字符或汉字")
    private String xjzd;//现居住地
    @NotBlank(message = "求职类型者不能为空")
    private String tsqzlx;//求职类型
    private String tsbyfl;//毕业分类
    @Length(max = 5,message = "身高最多只能输入5个字符或汉字")
    private String sg;//身高(CM)
    @Length(max = 5,message = "体重最多只能输入5个字符或汉字")
    private String tz;//体重(KG)
    @Length(max = 5,message = "视力(左)最多只能输入5个字符或汉字")
    private String slz;//视力(左)
    @Length(max = 5,message = "视力(右)最多只能输入5个字符或汉字")
    private String sly;//视力(右)
    private String jzdj;//驾照等级
    private String jzqdsj;//驾照取得时间
    private String xx;//血型
    @Length(max = 10,message = "QQ最多只能输入10个字符或汉字")
    private String qq;//QQ号码
    @Length(max = 250,message = "爱好特长最多只能输入250个字符或汉字")
    private String ahtc;//爱好特长
    private String sfjszptj;//是否接受招聘推荐
    private String rsrlzyjlxxlsh;//主键
    @NotBlank(message = "公开程度不能为空")
    private String gkcd;//公开程度
    @Length(max = 5,message = "年龄最多只能输入5个字符或汉字")
    private String nl;//年龄
    @NotBlank(message = "人员类别不能为空")
    private String tsrylb;
    private String gznx;//工作年限
    @NotBlank(message = "专业不能为空")
    private String zyxx;

    //回写基本信息管理
    private String aac003;//姓名
    private String aac006;//出生日期
    private String aac058;//证件类型
    private String aac147;//证件号码
    private String aac004;//性别
    private String aac005;//民族
    private String aac009;//户口性质
    private String aac300;//户口所在地行政区划代码

    private String jlssr;//简历所属人

    private String ly;//保存数据来源，用于区分是录入还是复制
    @NotBlank(message = "现居住地行政区划不能为空")
    private String xjzdxzqh;//现居住地行政区划

    private String isfbzt;

    public String getXjzdxzqh() {
        return xjzdxzqh;
    }

    public void setXjzdxzqh(String xjzdxzqh) {
        this.xjzdxzqh = xjzdxzqh;
    }

    public String getIsfbzt() {
        return isfbzt;
    }

    public void setIsfbzt(String isfbzt) {
        this.isfbzt = isfbzt;
    }

    public String getLy() {
        return ly;
    }

    public void setLy(String ly) {
        this.ly = ly;
    }

    public String getJlssr() {
        return jlssr;
    }

    public void setJlssr(String jlssr) {
        this.jlssr = jlssr;
    }

    public String getAac003() {
        return aac003;
    }

    public void setAac003(String aac003) {
        this.aac003 = aac003;
    }

    public String getAac006() {
        return aac006;
    }

    public void setAac006(String aac006) {
        this.aac006 = aac006;
    }

    public String getAac058() {
        return aac058;
    }

    public void setAac058(String aac058) {
        this.aac058 = aac058;
    }

    public String getAac147() {
        return aac147;
    }

    public void setAac147(String aac147) {
        this.aac147 = aac147;
    }

    public String getAac004() {
        return aac004;
    }

    public void setAac004(String aac004) {
        this.aac004 = aac004;
    }

    public String getAac005() {
        return aac005;
    }

    public void setAac005(String aac005) {
        this.aac005 = aac005;
    }

    public String getAac009() {
        return aac009;
    }

    public void setAac009(String aac009) {
        this.aac009 = aac009;
    }

    public String getAac300() {
        return aac300;
    }

    public void setAac300(String aac300) {
        this.aac300 = aac300;
    }

    public String getNl() {
        return nl;
    }

    public void setNl(String nl) {
        this.nl = nl;
    }

    public String getCjgzsj() {
        return cjgzsj;
    }

    public void setCjgzsj(String cjgzsj) {
        this.cjgzsj = cjgzsj;
    }

    public String getTsxl() {
        return tsxl;
    }

    public void setTsxl(String tsxl) {
        this.tsxl = tsxl;
    }

    public String getTszzmm() {
        return tszzmm;
    }

    public void setTszzmm(String tszzmm) {
        this.tszzmm = tszzmm;
    }

    public String getTshyzk() {
        return tshyzk;
    }

    public void setTshyzk(String tshyzk) {
        this.tshyzk = tshyzk;
    }

    public String getYx() {
        return yx;
    }

    public void setYx(String yx) {
        this.yx = yx;
    }

    public String getSjhm() {
        return sjhm;
    }

    public void setSjhm(String sjhm) {
        this.sjhm = sjhm;
    }

    public String getYzbm() {
        return yzbm;
    }

    public void setYzbm(String yzbm) {
        this.yzbm = yzbm;
    }

    public String getGddh() {
        return gddh;
    }

    public void setGddh(String gddh) {
        this.gddh = gddh;
    }

    public String getXjzd() {
        return xjzd;
    }

    public void setXjzd(String xjzd) {
        this.xjzd = xjzd;
    }

    public String getTsqzlx() {
        return tsqzlx;
    }

    public void setTsqzlx(String tsqzlx) {
        this.tsqzlx = tsqzlx;
    }

    public String getTsbyfl() {
        return tsbyfl;
    }

    public void setTsbyfl(String tsbyfl) {
        this.tsbyfl = tsbyfl;
    }

    public String getSg() {
        return sg;
    }

    public void setSg(String sg) {
        this.sg = sg;
    }

    public String getTz() {
        return tz;
    }

    public void setTz(String tz) {
        this.tz = tz;
    }

    public String getSlz() {
        return slz;
    }

    public void setSlz(String slz) {
        this.slz = slz;
    }

    public String getSly() {
        return sly;
    }

    public void setSly(String sly) {
        this.sly = sly;
    }

    public String getJzdj() {
        return jzdj;
    }

    public void setJzdj(String jzdj) {
        this.jzdj = jzdj;
    }

    public String getJzqdsj() {
        return jzqdsj;
    }

    public void setJzqdsj(String jzqdsj) {
        this.jzqdsj = jzqdsj;
    }

    public String getXx() {
        return xx;
    }

    public void setXx(String xx) {
        this.xx = xx;
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq;
    }

    public String getAhtc() {
        return ahtc;
    }

    public void setAhtc(String ahtc) {
        this.ahtc = ahtc;
    }

    public String getSfjszptj() {
        return sfjszptj;
    }

    public void setSfjszptj(String sfjszptj) {
        this.sfjszptj = sfjszptj;
    }

    public String getRsrlzyjlxxlsh() {
        return rsrlzyjlxxlsh;
    }

    public void setRsrlzyjlxxlsh(String rsrlzyjlxxlsh) {
        this.rsrlzyjlxxlsh = rsrlzyjlxxlsh;
    }

    public String getGkcd() {
        return gkcd;
    }

    public void setGkcd(String gkcd) {
        this.gkcd = gkcd;
    }

    public String getTsrylb() {
        return tsrylb;
    }

    public void setTsrylb(String tsrylb) {
        this.tsrylb = tsrylb;
    }

    public String getGznx() {
        return gznx;
    }

    public void setGznx(String gznx) {
        this.gznx = gznx;
    }

    public String getZyxx() {
        return zyxx;
    }

    public void setZyxx(String zyxx) {
        this.zyxx = zyxx;
    }
}

